@if (sprintViewComponentData) {
  <div class="sprint-information-grid">
    <ng-template [ngTemplateOutlet]="squashStatus"></ng-template>
    <ng-template [ngTemplateOutlet]="creation"></ng-template>
    <ng-template
      [ngTemplateOutlet]="isSynchronized ? remoteState : scheduledStart"
    ></ng-template>
    <ng-template [ngTemplateOutlet]="modification"></ng-template>
    <ng-template
      [ngTemplateOutlet]="isSynchronized ? scheduledStart : scheduledEnd"
    ></ng-template>
    <ng-template
      [ngTemplateOutlet]="isSynchronized && scheduledEnd"
    ></ng-template>
  </div>

  <div class="m-t-20">
    <sqtm-core-label
      [text]="'sqtm-core.entity.generic.description.label' | translate"
    >
    </sqtm-core-label>
    <sqtm-core-editable-rich-text
      #description
      [border]="true"
      [attr.data-test-field-id]="'sprint-description'"
      [editable]="sprintStatusEnumItem !== SprintStatus.CLOSED"
      [focus]="true"
      [sqtmCoreEntityViewEditableRichTextField]="'description'"
      [placeholder]="
        'sqtm-core.generic.editable.description.placeholder' | translate
      "
      (confirmEvent)="updateDescription($event)"
    >
    </sqtm-core-editable-rich-text>
  </div>
}

<ng-template #squashStatus>
  <sqtm-core-label [text]="'sqtm-core.sprint.status.label.squash' | translate">
  </sqtm-core-label>
  <div [attr.data-test-field-id]="'sprint-squash-status'">
    <sqtm-core-i18n-enum-icon
      class="m-r-5 table-icon-size flex-fixed-size"
      [disableTooltip]="true"
      [i18nEnumItem]="sprintStatusEnumItem"
    >
    </sqtm-core-i18n-enum-icon>
    <span class="full-width field-value-color txt-ellipsis">
      {{ sprintStatus | translate }}
    </span>
  </div>
</ng-template>
<ng-template #creation>
  <sqtm-core-label
    [text]="'sqtm-core.entity.generic.creation.label' | translate"
  >
  </sqtm-core-label>
  <sqtm-core-auditable-field
    [attr.data-test-field-id]="'sprint-created'"
    [userName]="sprintViewComponentData.sprint.createdBy"
    [date]="sprintViewComponentData.sprint.createdOn"
  >
  </sqtm-core-auditable-field>
</ng-template>

<ng-template #remoteState>
  <div class="flex">
    <sqtm-core-label [text]="remoteStateLabel | translate"> </sqtm-core-label>
    <i
      class="current-workspace-button m-l-10 table-icon-size"
      nz-icon
      nzType="sqtm-core-generic:help"
      nzTheme="outline"
      nz-tooltip
      [nzTooltipTitle]="statusHelpTooltipText | translate"
    >
    </i>
  </div>
  <div [attr.data-test-field-id]="'sprint-remote-state'">
    <sqtm-core-i18n-enum-icon
      class="m-r-5 table-icon-size flex-fixed-size"
      [disableTooltip]="true"
      [i18nEnumItem]="sprintRemoteStateEnumItem"
    >
    </sqtm-core-i18n-enum-icon>
    <span class="full-width field-value-color txt-ellipsis">
      {{ sprintRemoteState | translate }}
      @if (isRemoteClosed) {
        <i
          class="current-workspace-button table-icon-size"
          nz-icon
          nzType="sqtm-core-generic:warning"
          nzTheme="outline"
          nz-tooltip
          [nzTooltipTitle]="
            'sqtm-core.sprint.status.remote-state.closed-tooltip' | translate
          "
        >
        </i>
      }
    </span>
  </div>
</ng-template>

<ng-template #modification>
  <sqtm-core-label
    [text]="'sqtm-core.entity.generic.modification.label' | translate"
  >
  </sqtm-core-label>
  <sqtm-core-auditable-field
    [attr.data-test-field-id]="'sprint-lastModified'"
    [userName]="sprintViewComponentData.sprint.lastModifiedBy"
    [date]="sprintViewComponentData.sprint.lastModifiedOn"
  >
  </sqtm-core-auditable-field>
</ng-template>

<ng-template #scheduledStart>
  <sqtm-core-label
    [text]="'sqtm-core.campaign-workspace.planning.scheduled-start' | translate"
  >
  </sqtm-core-label>
  <sqtm-core-editable-date-field
    #startDate
    [allowEmptyValue]="true"
    [editable]="canEdit && sprintStatusEnumItem !== SprintStatus.CLOSED"
    [disabledDate]="disabledStartDate"
    [sqtmCoreGenericViewEditableDateField]="'startDate'"
    [attr.data-test-field-id]="'sprint-startDate'"
    [layout]="'compact'"
    (confirmEvent)="updateStartDate($event)"
  >
  </sqtm-core-editable-date-field>
</ng-template>

<ng-template #scheduledEnd>
  <div [ngClass]="isSynchronized && 'sprint-grid-first-column'">
    <sqtm-core-label
      [text]="'sqtm-core.campaign-workspace.planning.scheduled-end' | translate"
    >
    </sqtm-core-label>
  </div>
  <sqtm-core-editable-date-field
    #endDate
    [allowEmptyValue]="true"
    [editable]="canEdit && sprintStatusEnumItem !== SprintStatus.CLOSED"
    [disabledDate]="disabledEndDate"
    [sqtmCoreGenericViewEditableDateField]="'endDate'"
    [attr.data-test-field-id]="'sprint-endDate'"
    [layout]="'compact'"
    (confirmEvent)="updateEndDate($event)"
  >
  </sqtm-core-editable-date-field>
</ng-template>
